package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ScheduledDownPlanPO;
import mhp.oee.po.gen.ScheduledDownPlanPOExample;

public interface ScheduledDownPlanPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int countByExample(ScheduledDownPlanPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int deleteByExample(ScheduledDownPlanPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int insert(ScheduledDownPlanPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int insertSelective(ScheduledDownPlanPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    List<ScheduledDownPlanPO> selectByExample(ScheduledDownPlanPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    ScheduledDownPlanPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ScheduledDownPlanPO record, @Param("example") ScheduledDownPlanPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ScheduledDownPlanPO record, @Param("example") ScheduledDownPlanPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ScheduledDownPlanPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table scheduled_down_plan
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ScheduledDownPlanPO record);
}